diff -Nur microwindows-0.90.orig/src/drivers/Makefile microwindows-0.90/src/drivers/Makefile
--- microwindows-0.90.orig/src/drivers/Makefile	Wed Jan 21 11:53:18 2004
+++ microwindows-0.90/src/drivers/Makefile	Wed Jan 21 11:53:18 2004
@@ -138,6 +138,11 @@
 OBJS += mou_touchscreen.o
 endif
 
+ifeq ($(TSC2000MOUSE), Y)
+CFLAGS += -DTOUCHSCREEN_TSC2000=1
+OBJS += mou_touchscreen.o
+endif
+
 ifeq ($(ZAURUSMOUSE), Y)
 CFLAGS += -DTOUCHSCREEN_ZAURUS=1
 OBJS += mou_touchscreen.o
diff -Nur microwindows-0.90.orig/src/drivers/mou_touchscreen.c microwindows-0.90/src/drivers/mou_touchscreen.c
--- microwindows-0.90.orig/src/drivers/mou_touchscreen.c	Wed Jan 21 11:53:18 2004
+++ microwindows-0.90/src/drivers/mou_touchscreen.c	Wed Jan 21 11:53:18 2004
@@ -11,6 +11,7 @@
    TOUCHSCREEN_TUXSCREEN - Shannon IS2630
    TOUCHSCREEN_ADS - Applied Data Systems Graphics Client+ devices
    TOUCHSCREEN_ADS7846 - TI ADS6847 (PSI OMAP Innovator)
+   TOUCHSCREEN_TSC2000 - TSC2000
 */
 
 /* To add a new device, add a new item to the config file
@@ -46,6 +47,10 @@
 #include "touchscreen_ucb1x00.h"
 #endif
 
+#ifdef TOUCHSCREEN_TSC2000
+#include "touchscreen_tsc2000.h"
+#endif
+
 #ifndef TS_DEVICE
 #error "You didn't define a device for the generic touchscreen driver!"
 #endif
diff -Nur microwindows-0.90.orig/src/drivers/touchscreen_tsc2000.h microwindows-0.90/src/drivers/touchscreen_tsc2000.h
--- microwindows-0.90.orig/src/drivers/touchscreen_tsc2000.h	Wed Jan 21 11:53:18 2004
+++ microwindows-0.90/src/drivers/touchscreen_tsc2000.h	Wed Jan 21 11:53:18 2004
@@ -0,0 +1,12 @@
+#ifndef TS_DEVICE
+#define TS_DEVICE "TSC2000"
+
+#define TS_DEVICE_FILE "/dev/tsc2000"
+
+struct ts_event {
+	short x;
+	short y;
+	short pressure;
+};
+
+#endif
